#include <iostream>

using namespace std;

int main()
{
    int x , y ;
    cin >> x >> y ;
    int a , b ;
    cin >> a >>b ;
    if(x-a==0 && y-b>0){
        cout << "drugi" ;
    }
    else if(x-a>0 && y-b==0){
        cout << "prvi" ;
    }
    else if(x-a==0 && y-b==0){
        cout << "nijedan" ;
    }
    else{
        cout << "?" ;
    }
    return 0;
}